# Uses of Class
ch.qos.logback.classic.spi.StackTraceElementProxy

Packages that use StackTraceElementProxy
Package
Description
ch.qos.logback.classic.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.classic.spi
Contains core classes of logback classic.

## Uses of StackTraceElementProxy in ch.qos.logback.classic.pattern

Methods in ch.qos.logback.classic.pattern with parameters of type StackTraceElementProxy
Modifier and Type
Method
Description
`protected void`
ExtendedThrowableProxyConverter.`extraData(StringBuilder builder, StackTraceElementProxy step)`
`protected void`
ThrowableProxyConverter.`extraData(StringBuilder builder, StackTraceElementProxy step)`

## Uses of StackTraceElementProxy in ch.qos.logback.classic.spi

Methods in ch.qos.logback.classic.spi that return StackTraceElementProxy
Modifier and Type
Method
Description
`StackTraceElementProxy[]`
IThrowableProxy.`getStackTraceElementProxyArray()`
`StackTraceElementProxy[]`
ThrowableProxy.`getStackTraceElementProxyArray()`
`StackTraceElementProxy[]`
ThrowableProxyVO.`getStackTraceElementProxyArray()`
Methods in ch.qos.logback.classic.spi with parameters of type StackTraceElementProxy
Modifier and Type
Method
Description
`static void`
ThrowableProxyUtil.`subjoinPackagingData(StringBuilder builder, StackTraceElementProxy step)`
`static void`
ThrowableProxyUtil.`subjoinSTEP(StringBuilder sb, StackTraceElementProxy step)`